package com.kingdee.eas.custom.erp;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class synAdminOrgBetaToErpFacadeFactory
{
    private synAdminOrgBetaToErpFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.erp.IsynAdminOrgBetaToErpFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynAdminOrgBetaToErpFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("DAB17738") ,com.kingdee.eas.custom.erp.IsynAdminOrgBetaToErpFacade.class);
    }
    
    public static com.kingdee.eas.custom.erp.IsynAdminOrgBetaToErpFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynAdminOrgBetaToErpFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("DAB17738") ,com.kingdee.eas.custom.erp.IsynAdminOrgBetaToErpFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.erp.IsynAdminOrgBetaToErpFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynAdminOrgBetaToErpFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("DAB17738"));
    }
    public static com.kingdee.eas.custom.erp.IsynAdminOrgBetaToErpFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.erp.IsynAdminOrgBetaToErpFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("DAB17738"));
    }
}